export const showCopyModal=(state,action)=>{
  const res=Object.assign({},state);
  res.copyVisible = true
  return res;
};

export const closeCopyModal=(state,action)=>{
  const res=Object.assign({},state);
  res.copyVisible = false
  return res;
};

export const showDisclatmerModal=(state,action)=>{
  const res=Object.assign({},state);
  res.disVisible = true
  return res;
};

export const closeDisclatmerModal=(state,action)=>{
  const res=Object.assign({},state);
  res.disVisible = false
  return res;
};
  
export const getMessage=(state,action)=>{
  const res=Object.assign({},state);
  res.number = action.data.data.data.name;
  res.date = action.data.data.data.refreshTime;
  res.content = action.data.data.data.detail;
  return res;
};

export const getDisMessage=(state,action)=>{
  const res=Object.assign({},state);
  res.disContent = action.data
  return res;
};

export const getVersion = (state, action) => {
  const res = Object.assign({},state);
  res.hasNewVersion = action.hasNewVersion;
  return res;
}